#pragma once
#include "afxcmn.h"
#include "afxwin.h"
#include "colorstatic.h"
#include "ColoredListCtrl.h"
#include "readonlyedit.h"


// CDlg_Estate dialog

class CDlg_Estate : public CDialog
{
	DECLARE_DYNAMIC(CDlg_Estate)

public:
	CDlg_Estate(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_Estate();

// Dialog Data
	enum { IDD = IDD_ESTATE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_lableCO2small;
	CColoredListCtrl m_listEstate;

	CButton m_chkAbsolute;
	CButton m_chkperm2;
	CButton m_chkEnergy;
	CButton m_chkCost;
	CButton m_chkEmissions;

	afx_msg void OnBnClickedCheck1();
	afx_msg void OnBnClickedCheck3();
	afx_msg void OnBnClickedCheck4();
	afx_msg void OnBnClickedCheck5();
	afx_msg void OnBnClickedCheck2();
	afx_msg void DisplayEstateList();	
	//afx_msg void OnLvnItemchangedList1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedButtonexport();
	afx_msg void OnBnClickedButtonSaveEstate();
	

	CReadOnlyEdit m_editNumOfDwellings;
	CComboBox m_comboCase;
	CString str_editNumOfDwellings;
	CString str_comboCase;
	CStatic m_lableNumDwellingds;
	CStatic m_labelCase;
	CStatic m_labelDwellingName;
	CEdit m_editNameOfDwelling;
	CString str_editNameOfDwelling;
	afx_msg void OnEnChangeEditNum();
	afx_msg void OnCbnSelchangeComboCase();
	afx_msg void UpdateEstateList();
	afx_msg void OnBnClickedButtonDelete();
	afx_msg void OnEnChangeEditName();
	afx_msg void OnBnClickedButtonUpdate();
	afx_msg void OnLvnItemActivateList1(NMHDR *pNMHDR, LRESULT *pResult);
};
